Subject: Re: Refactor Netlink connector?

From: Thomas Graf <[email-masked]>
Date: Wed, 31 May 2006 15:09:13 +0200

* jamal <[email-masked]> 2006-05-31 08:00
> We could start by just adding a check for NETLINK_GENERIC in your table
> (as is done generally for other netlink families/protocols with SELinux)
> and then do the fine-grained stuff. I think that checking for attributes
> instead of types will need to be generic for all of netlink.

I'm not sure I perfectly understand the check we're heading for, is the
goal to check whether unknown/forbidden attribute types are being
provided by userspace, i.e. compare the provided attribute types against
a list of allowed attribute types maybe in combination with a list of
required permissions for certain attributes?